curl https://nest.feather.mupeni.dev/v1/proposals/prop_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "prop_01hx...",
"orgId": "org_01hx...",
"flagId": "flag_01hx...",
"environmentId": "env_01hx...",
"status": "pending",
"proposedConfig": {
"version": 3,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdBy": "key_01hx...",
"reviewedBy": null,
"reviewedAt": null,
"reviewNote": null,
"createdAt": "2024-04-10T14:00:00.000Z"
}
Change Proposals
Get Proposal
Returns a single proposal by ID.
GET
/
v1
/
proposals
/
{proposalId}
curl https://nest.feather.mupeni.dev/v1/proposals/prop_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "prop_01hx...",
"orgId": "org_01hx...",
"flagId": "flag_01hx...",
"environmentId": "env_01hx...",
"status": "pending",
"proposedConfig": {
"version": 3,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdBy": "key_01hx...",
"reviewedBy": null,
"reviewedAt": null,
"reviewNote": null,
"createdAt": "2024-04-10T14:00:00.000Z"
}
The proposal must belong to the authenticated organization.
Path parameters
curl https://nest.feather.mupeni.dev/v1/proposals/prop_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "prop_01hx...",
"orgId": "org_01hx...",
"flagId": "flag_01hx...",
"environmentId": "env_01hx...",
"status": "pending",
"proposedConfig": {
"version": 3,
"enabled": true,
"defaultValue": false,
"rules": []
},
"createdBy": "key_01hx...",
"reviewedBy": null,
"reviewedAt": null,
"reviewNote": null,
"createdAt": "2024-04-10T14:00:00.000Z"
}
⌘I